Debian Bug report logs - #494849
RFP: libauthcas-perl -- Client library for CAS 2.0

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Tue, 12 Aug 2008 16:33:02 UTC

Severity: wishlist

Merged with 495429

Fixed in version libauthcas-perl/1.5-1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libauthcas-perl -- Client library for CAS 2.0
Date: Tue, 12 Aug 2008 18:30:56 +0200
Package: wnpp
Severity: wishlist


* Package name    : libauthcas-perl
  Version         : 1.3.1
  Upstream Author : Olivier Salaün
* URL             : http://search.cpan.org/~osalaun/AuthCAS/
* License         : Perl (Artistic and GPL) 
  Programming Lang: Perl
  Description     : Client library for CAS 2.0

CAS is Yale University's web authentication system, heavily inspired by Kerberos.
Release 2.0 of CAS provides "proxied credential" feature that allows authentication
tickets to be carried by intermediate applications (Portals for instance), they are
called proxy.
This AuthCAS Perl module provides required subroutines to validate and retrieve CAS tickets.
http://sourcesup.cru.fr/perlcas/

There seems to already exist some bits of Debian packaging in http://sourcesup.cru.fr/cgi/viewvc.cgi/trunk/debian/?root=perlcas made by Lionel Porcheron.

I hope this can become official package

-- System Information:
Debian Release: lenny/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 494849@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: os@cru.fr
Cc: 494849@bugs.debian.org, lionel.porcheron@anyware-tech.com
Subject: Status of Debian packaging for libauthcas-perl ?
Date: Tue, 12 Aug 2008 18:43:04 +0200
Hi.

As you can see in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494849 , I just issued
a Request For Packaging (RFP) in Debian, for the AuthCAS perl module
that you wrote.

Appart from the debian package's changelog there seems to be enough
already in your SVN to build a Debian package (seems it was a
contribution by Lionel Porcheron).

Do you know if anyone is already working on pushing an official package
for it in Debian ? I couldn't see anything in Debian's trackers, but I
may have missed it.

I guess it could be interesting to have such a package in the official
distribution. Still there would be to find a volunteer maintainer ;-)

Thanks in advance.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Salaün <olivier.salaun@cru.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 494849@bugs.debian.org (full text, mbox):

From: Olivier Salaün <olivier.salaun@cru.fr>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: os@cru.fr, 494849@bugs.debian.org, lionel.porcheron@anyware-tech.com
Subject: Re: Status of Debian packaging for libauthcas-perl ?
Date: Wed, 13 Aug 2008 11:29:31 +0200
Hi Olivier,

How are you?

That's a great idea.
The AuthCAS perl module was initialy written for the Sympa software but 
I maintained them separately. I wish to change this and make Sympa use 
the AuthCAS CPAN module. Therefore it is important to have it available 
as a Debian package.

Just let me know if something needs to be changed in the code.
However I don't have a Debian server to build the package ; how can we 
manage then?

Olivier Berger a écrit :
> As you can see in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494849 , I just issued
> a Request For Packaging (RFP) in Debian, for the AuthCAS perl module
> that you wrote.
>
> Appart from the debian package's changelog there seems to be enough
> already in your SVN to build a Debian package (seems it was a
> contribution by Lionel Porcheron).
>
> Do you know if anyone is already working on pushing an official package
> for it in Debian ? I couldn't see anything in Debian's trackers, but I
> may have missed it.
>
> I guess it could be interesting to have such a package in the official
> distribution. Still there would be to find a volunteer maintainer ;-)
>   





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 494849@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Olivier Salaün <olivier.salaun@cru.fr>
Cc: os@cru.fr, 494849@bugs.debian.org, lionel.porcheron@anyware-tech.com
Subject: Re: Status of Debian packaging for libauthcas-perl ?
Date: Wed, 13 Aug 2008 12:14:10 +0200
Hi.

Great : upstream very responsive and supporting ;)

Le mercredi 13 août 2008 à 11:29 +0200, Olivier Salaün a écrit :
> That's a great idea.
> The AuthCAS perl module was initialy written for the Sympa software but 
> I maintained them separately. I wish to change this and make Sympa use 
> the AuthCAS CPAN module.

OK.

>  Therefore it is important to have it available 
> as a Debian package.
> 

And also for instance to CAS-ify perl apps (I'm interested in trying for
TWiki, for which someone wrote a CAS LoginManager, which uses AuthCAS).

So definitely something we need. Btw, we are setting-up some
collaborative effort in order to try and coordinate on packaging some
CAS-related packages for Debian. Just tell me (no need to keep this
bug-report in CC: though) if you need more details.
Also, btw, Sympa package in Debian seems to work with CAS (just did very
basic tests only), which is cool, although with the "old" internal CAS
client.

> Just let me know if something needs to be changed in the code.

Will certainly do that.

> However I don't have a Debian server to build the package ; how can we 
> manage then?

It may not be necessary, if someone volunteers for managing the Debian
packaging part.

I think that Debian's policy (or best practices) more or less recommends
to keep the official Debian packaging parts (scripts and config files)
in a separate way thant the rest of the (upstream) sources or the
packages. So there may be no need to keep the "debian/" subdir in your
sources, but instead to keep it somewhere else (probably on a project
hosted on alioth.debian.org, Debian's forge).

Still, there needs to be some formal candidate for maintainance of such
a Debian package (as this #494849 ticket only relates to the need for a
package from a user's perspective).

Of course I may volunteer for such Debian maintainer role, but maybe
Lionel Porcheron would also ? ... Or we would have some other setup
(through the CAS packages related project on alioth).

We'll surely let you know in any case. Stay tuned ;)

Best regards,

> 
> Olivier Berger a écrit :
> > As you can see in
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494849 , I just issued
> > a Request For Packaging (RFP) in Debian, for the AuthCAS perl module
> > that you wrote.
> >
> > Appart from the debian package's changelog there seems to be enough
> > already in your SVN to build a Debian package (seems it was a
> > contribution by Lionel Porcheron).
> >
> > Do you know if anyone is already working on pushing an official package
> > for it in Debian ? I couldn't see anything in Debian's trackers, but I
> > may have missed it.
> >
> > I guess it could be interesting to have such a package in the official
> > distribution. Still there would be to find a volunteer maintainer ;-)
> >   
> 
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Blocking bugs of 494849 added: 495429 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sun, 17 Aug 2008 10:09:05 GMT) Full text and rfc822 format available.

Blocking bugs of 494849 added: 495429 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sun, 17 Aug 2008 10:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to `"ITP: libauthcas-perl -- Client library for CAS 2.0"' from `RFP: libauthcas-perl -- Client library for CAS 2.0'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Tue, 19 Aug 2008 06:03:03 GMT) Full text and rfc822 format available.

Blocking bugs of 494849 removed: 495429 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Tue, 19 Aug 2008 06:12:03 GMT) Full text and rfc822 format available.

Owner recorded as Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Tue, 19 Aug 2008 06:30:08 GMT) Full text and rfc822 format available.

Merged 494849 495429. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Tue, 19 Aug 2008 06:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 494849@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 494849@bugs.debian.org
Subject: [Fwd: RFS: libauthcas-perl - Perl client library for CAS 2.0]
Date: Wed, 20 Aug 2008 15:03:38 +0200
FYI (copy of
http://lists.debian.org/debian-mentors/2008/08/msg00298.html)

Regards,
-------- Message transféré --------
De: Olivier Berger <olivier.berger@it-sudparis.eu>
À: debian-mentors@lists.debian.org
Cc: pkg-cas-maintainers@lists.alioth.debian.org
<pkg-cas-maintainers@lists.alioth.debian.org>
Sujet: RFS: libauthcas-perl - Perl client library for CAS 2.0
Date: Wed, 20 Aug 2008 14:28:21 +0200

Dear mentors,

I am looking for a sponsor for my package "libauthcas-perl".

* Package name    : libauthcas-perl
  Version         : 1.3.1-1
  Upstream Author : Olivier Salaun + CRU
* URL             : http://sourcesup.cru.fr/perlcas/ / http://search.cpan.org/~osalaun/AuthCAS/ 
* License         : Perl (Artistic and GPL)
  Section         : perl

It builds these binary packages:
libauthcas-perl - Client library for CAS 2.0

The package appears to be lintian clean.

The upload would fix these bugs: 494849

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/l/libauthcas-perl
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/l/libauthcas-perl/libauthcas-perl_1.3.1-1.dsc

I would be glad if someone uploaded this package for me.

Kind regards
 Olivier Berger
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Changed Bug title to `ITP: libauthcas-perl -- Client library for CAS 2.0' from `"ITP: libauthcas-perl -- Client library for CAS 2.0"'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Thu, 21 Aug 2008 23:00:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#494849; Package wnpp. (Sat, 30 May 2009 06:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 30 May 2009 06:39:03 GMT) Full text and rfc822 format available.

Message #44 received at 494849-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: CAS packaging team <pkg-cas-maintainers@lists.alioth.debian.org>
Cc: Olivier Berger <olivier.berger@it-sudparis.eu>, 494849-quiet@bugs.debian.org
Subject: ITP: libauthcas-perl -- Client library for CAS 2.0
Date: Sat, 30 May 2009 08:38:24 +0200
Dear CAS Packaging Team,

Are you aware of that Olivier Berger is looking for a sponsor for this
package ? Anyone in the team who can sponsor this package ?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494849
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=libauthcas-perl
http://mentors.debian.net/debian/pool/main/l/libauthcas-perl/libauthcas-perl_1.3.1-1.dsc
19-Aug-2008 17:23

Regards,

Bart Martens






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#494849; Package wnpp. (Sat, 19 Feb 2011 17:09:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>. (Sat, 19 Feb 2011 17:09:29 GMT) Full text and rfc822 format available.

Message #49 received at 494849@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 494849@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libauthcas-perl: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:36 +0000
retitle 494849 RFP: libauthcas-perl -- Client library for CAS 2.0
noowner 494849
thanks

Hi,

This is an automatic email to change the status of libauthcas-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libauthcas-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 494849 ITP: libauthcas-perl -- Client library for CAS 2.0
 owner 494849 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <494849@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libauthcas-perl -- Client library for CAS 2.0' from 'ITP: libauthcas-perl -- Client library for CAS 2.0' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:13:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:13:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 20:09:05 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Tue, 17 May 2011 21:51:12 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Tue, 17 May 2011 21:51:12 GMT) Full text and rfc822 format available.

Message #60 received at 494849-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 494849-close@bugs.debian.org
Subject: Bug#494849: fixed in libauthcas-perl 1.5-1
Date: Tue, 17 May 2011 21:47:14 +0000
Source: libauthcas-perl
Source-Version: 1.5-1

We believe that the bug you reported is fixed in the latest version of
libauthcas-perl, which is due to be installed in the Debian FTP archive:

libauthcas-perl_1.5-1.diff.gz
  to main/liba/libauthcas-perl/libauthcas-perl_1.5-1.diff.gz
libauthcas-perl_1.5-1.dsc
  to main/liba/libauthcas-perl/libauthcas-perl_1.5-1.dsc
libauthcas-perl_1.5-1_all.deb
  to main/liba/libauthcas-perl/libauthcas-perl_1.5-1_all.deb
libauthcas-perl_1.5.orig.tar.gz
  to main/liba/libauthcas-perl/libauthcas-perl_1.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494849@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated libauthcas-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 May 2011 09:23:35 +0200
Source: libauthcas-perl
Binary: libauthcas-perl
Architecture: source all
Version: 1.5-1
Distribution: unstable
Urgency: low
Maintainer: CAS packaging team <pkg-cas-maintainers@lists.alioth.debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 libauthcas-perl - Client library for CAS 2.0
Closes: 494849
Changes: 
 libauthcas-perl (1.5-1) unstable; urgency=low
 .
   * Update to 1.5 and first upload to unstable.
   * Add self as uploader.
 .
 libauthcas-perl (1.3.1-1) unstable; urgency=low
 .
   * Initial packaging, reusing the package made by Lionel Porcheron
     (Closes: #494849).
Checksums-Sha1: 
 8b63671be8dd91a26be5a7642caa8af33b11c250 1503 libauthcas-perl_1.5-1.dsc
 576f4400338ba16dc6eb2f5212e8cbb07286b970 7002 libauthcas-perl_1.5.orig.tar.gz
 4e3ac3dff59415b2ba281741c521263d63f84c04 3039 libauthcas-perl_1.5-1.diff.gz
 08e64502967e08841dcb5597bbf053ebd3657cbd 12026 libauthcas-perl_1.5-1_all.deb
Checksums-Sha256: 
 813d1cb8d526eb623c7583836644dd42428992aa2b8f6df59f218d07c070ee41 1503 libauthcas-perl_1.5-1.dsc
 0ae8c336dfc1c68ff8a5d390a1d9a99b7dcb9f59a7ccca9e5e1bae9db65ca152 7002 libauthcas-perl_1.5.orig.tar.gz
 1d566bbbeac98cabf94c16401a79c433a05dc4886c68b2f559e463a9f792737c 3039 libauthcas-perl_1.5-1.diff.gz
 b8e2a64cf710af0e975a1f94c55ea6ad7509011b2a6105a85e6cd33f71fa665c 12026 libauthcas-perl_1.5-1_all.deb
Files: 
 f5ae77d797b2c8aa553bfe9471bc9bb0 1503 perl optional libauthcas-perl_1.5-1.dsc
 cfc26405b47d498496e0c5557d2a9fb2 7002 perl optional libauthcas-perl_1.5.orig.tar.gz
 05762f9ab489f9d6937ac4eba32521e5 3039 perl optional libauthcas-perl_1.5-1.diff.gz
 3959acad69e4dd04ec84eba5681082f5 12026 perl optional libauthcas-perl_1.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJN0jXfAAoJEOxfUAG2iX57FvkH/jZDTKsNykPp19mHgP/rZhwV
g3iFLXLjCho4QUzamyeygwNur9DJ1bHAYcrL0FdW7bYS+7GqHk1YmHCxxogpJOgq
B3+XsOwFDuQnJrYGpaolcwQ6fh+W21YySG4BwzcQ7VnCRtdh4vNOEQCIvhC6BL/y
+3g4PKzkTy52885vcrTgKGKCTPcV2e/rdKtZrFC+IcwN75vsfcA1j278AQnSHkS7
6maZIIr0/TAdUU2KbaAf8DqUWdaltRzbh3HLfGUHJGm73TBVIoohGKsepVNdq6v9
4taLX3x83Z+/ArwVIzmFMY5IcN+UOyNz5/hTn1FHJFiSjAp2hxwLH/MO1HfMkkg=
=+XzT
-----END PGP SIGNATURE-----





Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Tue, 17 May 2011 21:51:13 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Tue, 17 May 2011 21:51:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Jun 2011 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:26:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.